<?php
/**
Plugin Name: '83 Atheist Quotes
Plugin URI: http://since83.com
Description: This plugin puts some great quotes by Atheist on the top of your admin panel
Author: Eric Hamby
Version: 1.1
Author URI: http://erichamby.com
*/

function atheist_quotes_get_lyric() {
	/** The list of quotes */
	$lyrics = "Religion is regarded by the common people as true, by the wise as false, and by the rulers as useful. - Seneca the Younger 4 b.c.- 65 a.d
	You're basically killing each other to see who's got the better imaginary friend. - Richard Jeni
	Men never commit evil so fully and joyfully as when they do it for religious convictions.- Blaise Pascal
	I contend that we are both atheists. I just believe in one fewer god than you do. When you understand why you dismiss all the other possible gods, you will understand why I dismiss yours - Stephen Roberts
	And if there were a God, I think it very unlikely that He would have such an uneasy vanity as to be offended by those who doubt His existence - Bertrand Russell
	The fact that a believer is happier than a skeptic is no more to the point than the fact that a drunken man is happier than a sober one - George Bernard Shaw
	When I was a kid I used to pray every night for a new bicycle. Then I realized that the Lord does not work that way so I stole one and asked Him to forgive me - Emo Philips
	Is God willing to prevent evil, but not able? Then he is not omnipotent. Is he able, but not willing? Then he is malevolent. Is he both able and willing? Then whence cometh evil? Is he neither able nor willing? Then why call him God? - Epicurus
	You can not convince a believer of anything; for their belief is not based on evidence, it is based on a deep-seated need to believe - Carl Sagan
	We must question the story logic of having an all-knowing all-powerful God, who creates faulty Humans, and then blames them for his own mistakes - Gene Roddenberry";

	// Here we split it into lines
	$lyrics = explode( "\n", $lyrics );

	// And then randomly choose a line
	return wptexturize( $lyrics[ mt_rand( 0, count( $lyrics ) - 1 ) ] );
}

// This just echoes the chosen line, we'll position it later
function atheist_quotes() {
	$chosen = atheist_quotes_get_lyric();
	echo "<table class='widefat'>
<tr class='alternate'>
<td><p>$chosen</p></td>
</tr>
<tr class='alternate'>
			<td>
			<span class='button' style='float:left'><a href='http://since83.com' target='_blank'>Since83.Com</a></span>
			<span class='button' style='float:right'><a href='http://erichamby.com' target='_blank'>EricHamby.Com</a></span>
			</td>
		</tr>

</table>";
}

// Now we set that function up to execute when the admin_notices action is called
/*add_action( 'admin_notices', 'atheist_quotes' );*/

// We need some CSS to position the paragraph
function atheist_quotes_css() {
	// This makes sure that the positioning is also good for right-to-left languages
	$x = is_rtl() ? 'right' : 'right';
	$y = is_rtl() ? 'left' : 'left';

	echo "
	<style type='text/css'>
	#atheist_quote {
		float: $x;
		padding-$x: 15px;
		padding-top: 5px;		
		margin: 0;
		font-size: 11px;
		text-align: $y;
	}
	</style>
	";
}

add_action( 'admin_head', 'atheist_quotes_css' );



function viral_stats_totals_dashboard_function() {
	  atheist_quotes(); } 
function viral_stats_totals_widgets() {
	wp_add_dashboard_widget('viral_stats_totals', 'Atheist Quotes', 'viral_stats_totals_dashboard_function');	
} 
add_action('wp_dashboard_setup', 'viral_stats_totals_widgets' );
?>